Propagate hostname to lxd container

Bug #1747015 reported by Adam Conrad on 2018-02-02
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
launchpad-buildd
High
Colin Watson

Bug Description

As discussed on IRC, rather that giving the lxd container a generic hostname of "lp-$series-$arch", it should get a hostname based on (or exactly the same as) the host running lp-buildd.

Tail end of the IRC discussion:

07:09 < infinity> If the container has an /etc/hosts entry for lcy01-amd64-001.buildd that points to the container, it literally makes no difference that it's the same name as the outer host.
07:09 < cjwatson> Oh, if it points to the container, I see
07:09 < cjwatson> Right, that makes sense
07:10 < infinity> That only matters if the container wants to talk to the host or vice-versa, both of which are things we explicitly don't want anyway.
07:10 < cjwatson> Yeah
07:10 < cjwatson> Can I have a bug? It's a bit fiddly because we probably need to do hostname --fqdn or something to work out what to use
07:11 < cjwatson> I can sort it out, just want a reminder

If there's some lxdish reason why it has a conniption if the host and container match (I can't see why, but hey, it could be), just prepending a subdomain of "lxd" or similar would make sense to me (ie: lxd.lcy01-amd64-001.buildd), which would be short enough to not be excessively icky, and handily also defeat the previous 'lp-*' glob in livecd-rootfs so that code magically stops being broken. ;)

Related branches

Adam Conrad (adconrad) on 2018-02-02
description: updated
Colin Watson (cjwatson) on 2018-02-04
Changed in launchpad-buildd:
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → In Progress
Colin Watson (cjwatson) on 2018-05-08
Changed in launchpad-buildd:
status: In Progress → Fix Committed
Colin Watson (cjwatson) wrote :

Fixed in launchpad-buildd 162, now on production.

Changed in launchpad-buildd:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers